> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/2026-05/sku_options.md).

# SKU options

The SKU option object and the allowed CRUD operations on the related resource endpoint

SKU options represent any personalization or feature that customers can add to selected SKUs — for example, gift wrapping or a custom engraving.

The `price_amount_cents` attribute sets the option's price and defaults to `0` (free). The `delay_hours` attribute adds extra delay time — e.g. preparation time — to the delivery lead time when the option is purchased, and it's set to `0` by default as well. The `delay_days` attribute exposes that same value rounded to days.

Optionally, you can associate a [market](/core-api-reference/2026-05/markets.md) with the SKU option: if the relationship is set, `currency_code` is inherited from it, otherwise it must be specified directly.

The set of SKUs on which to apply a specific option can be defined by setting the `sku_code_regex` attribute, matched against SKU codes.

{% hint style="info" %}
The regex can be up to **5000** characters long.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/2026-05/sku_options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
